Obtener pago por ID
curl --request GET \
--url https://api.fint.app/api/v1/payment/:paymentId \
--header 'x-api-key: <api-key>'import requests
url = "https://api.fint.app/api/v1/payment/:paymentId"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.fint.app/api/v1/payment/:paymentId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"date": "<string>",
"totalAmount": "<string>",
"contacts": [
{
"id": 123,
"name": "<string>",
"lastName": "<string>",
"documentType": "<string>",
"documentNumber": "<string>",
"address": "<string>",
"externalReference": "<string>"
}
],
"auditUser": {
"id": 123,
"name": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"isManual": true,
"payerContact": {
"id": 123,
"name": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"whatsappNumber": "<string>",
"email": "<string>",
"documentType": "<string>",
"documentNumber": "<string>",
"address": "<string>"
},
"descriptions": [
"<string>"
]
}{
"message": "Payment not found"
}Pagos
Obtener pago por ID
Obtener detalles de pago por ID
GET
/
payment
/
:paymentId
Obtener pago por ID
Authorizations
Path Parameters
Response
Pago recuperado con éxito por ID
Available options:
PAID, VOIDED, CHARGEBACK Available options:
DEBIT_CARD, CREDIT_CARD, DIRECT_DEBIT, CARD, PAGO_FACIL, RAPI_PAGO, PAGO_MIS_CUENTAS, LINK_PAGO, TRANSFER, CASH, MERCADO_PAGO, MERCADO_PAGO_POINT, SIRO, PAGOS360 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I